[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AnsiStrRScan

Find last occurrence of a character in a null-terminated string.

## Declaration

Source position: sysansih.inc line 26

`function AnsiStrRScan(`
`Str: PChar;`
`Chr: Char`
`):PChar;`

## Description

AnsiStrPos returns a pointer to the last occurrence of the character Chr in Str. If Chr does not occur in Str then Nil is returned.

## Errors

An access violation may occur if Str points to invalid memory.

## See also

AnsiPos |  | Return Position of one ansistring in another.
AnsiStrScan |  | Find first occurrence of a character in a null-terminated string.
AnsiStrPos |  | Return position of one null-terminated substring in another

The latest version of this document can be found at lazarus-ccr.sourceforge.net.